from setuptools import find_packages, setup

import komtet_kassa_linux


setup(
    name='komtet_kassa_linux',
    version=komtet_kassa_linux.__version__,
    packages=find_packages(),
    author='Motmom',
    author_email='motmom.dev@gmail.com',
    maintainer='Guryev Konstantin',
    maintainer_email='kosmini4@gmail.com',
    install_requires=[
        'Flask==1.0.2',
        'SQLAlchemy==1.2.16',
        'alembic==1.0.7',
        'psutil==5.5.0',
        'pyudev==0.21.0',
        'raven==6.10.0',
        'requests==2.21.0',
        'watchdog==0.9.0',
    ],
    setup_requires=[
        'pytest-runner'
    ],
    tests_require=[
        'coverage',
        'pytest',
        'pytest_cov',
    ],
    include_package_data=True,
    zip_safe=False,
    entry_points={
        'console_scripts': [
            'rkm_web = komtet_kassa_linux.web:main',
            'rkm_manager = komtet_kassa_linux.km_manager:main'
        ]
    }
)
